Subject: Re: parsing of some early cmdline options

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 24 Feb 2006 10:19:12 +1100

On Thu, 2006-02-23 at 17:02 -0600, Kumar Gala wrote:
> Guys,
> 
> I noticed that we have code in arch/powerpc/kernel/prom_init.c to handle 
> parsing iommu=, mem=, and crashkernel=.
> 
> The problem I have is that we only use/build prom_init.c on MULTIPLATFORM 
> (coming from true OF).

MULTIPLATFORM is here to die (or rather be always there, with
ARCH=powerpc we really want to NOT reproduce the old single platform
crap) , but yes, prom_init.c is supposed to only be run on real OFs...

I suppose we woul have to deal with those in early_init_devtree() for
machines that didn't go through prom_init()....

> Any ideas on how to handle this for the !MULTIPLATFORM cases.  I'm most 
> concerned about mem=.